Summary:          C widget library to embed OpenSceneGraph in Gtk applications
Name:             osgGtk
Version:          PACKAGE_VERSION
Release:          1%{?dist}
License:          GPLv3
URL:              http://osgGtk.sourceforge.net
Group:            System Environment/Libraries
Source:           http://downloads.sourceforge.net/osggtk/osggtk-%{version}.tar.bz2
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:    OpenSceneGraph-devel >= 2.2.0
BuildRequires:    gtkmm24-devel
BuildRequires:    gtkglextmm-devel
BuildRequires:    pkgconfig
BuildRequires:    m4
BuildRequires:    ImageMagick
BuildRequires:    desktop-file-utils

%description
osgGtk is a C widget library that provides support for embedding
OpenSceneGraph into Gtk applications.

%package          devel
Summary:          C development headers to embed OpenSceneGraph in Gtk applications
Group:            Development/Libraries
Requires:         %{name} = %{version}-%{release}
Requires:         gtk2-devel
Requires:         gtkglext-devel
Requires:         OpenSceneGraph-devel >= 2.2.0
Requires:         pkgconfig
Requires:         gtk-doc

%description    devel
This package contains the C libraries and header files needed for
developing osgGtk applications. osgGtk provides widgets and other
support for embedding OpenSceneGraph into Gtk applications. 

%package          viewer
Summary:          OSG viewer application based on osgGtk
Group:            Applications/Multimedia
Requires:         %{name} = %{version}-%{release}
Requires:         hicolor-icon-theme

%description    viewer
This application is a simple viewer for for OSG files based on the
osgGtk library.

%package          -n osgGtkmm
Summary:          C++ widget library to embed OpenSceneGraph in Gtkmm applications
Group:            System Environment/Libraries

%description      -n osgGtkmm
osgGtkmm is a C++ widget library that provides support for embedding
OpenSceneGraph into Gtkmm applications.

%package          -n osgGtkmm-devel
Summary:          C++ development headers to embed OpenSceneGraph in Gtkmm applications
Group:            Development/Libraries
Requires:         osgGtkmm = %{version}-%{release}
Requires:         gtkmm24-devel
Requires:         gtkglextmm-devel
Requires:         OpenSceneGraph-devel >= 2.2.0
Requires:         pkgconfig
Requires:         gtk-doc

%description      -n osgGtkmm-devel
This package contains the C++ libraries and header files needed for
developing osgGtkmm applications. osgGtkmm provides widgets and other
support for embedding OpenSceneGraph into Gtkmm applications. 

%package          -n osgGtkmm-viewer
Summary:          OSG viewer application based on osgGtkmm
Group:            Applications/Multimedia
Requires:         osgGtkmm = %{version}-%{release}
Requires:         hicolor-icon-theme

%description    -n osgGtkmm-viewer
This application is a simple viewer for for OSG files based on the
osgGtkmm library.
Viewer application based on osgGtkmm


%prep
%setup -q -n osggtk-%{version}

%build
%configure --enable-static=no --enable-gtkmm --enable-examples
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} INSTALL="%{__install} -p" install
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'
%{__mkdir} -p %{buildroot}%{_datadir}/gtk-doc/html/osgGtk/
%{__install} -p --mode=0664 -t %{buildroot}%{_datadir}/gtk-doc/html/osgGtk/ doc/reference/osgGtk/html/*
%{__mkdir} -p %{buildroot}%{_datadir}/gtk-doc/html/osgGtkmm/
%{__install} -p --mode=0664 -t %{buildroot}%{_datadir}/gtk-doc/html/osgGtkmm/ doc/reference/osgGtkmm/html/*

# create icons
# create 16x16, 32x32, 64x64, 128x128 icons
for s in 16 32 64 128 ; do
  %{__mkdir_p} %{buildroot}/%{_datadir}/icons/hicolor/${s}x${s}/apps/
  convert -scale ${s}x${s} \
    doc/images/osgGtk-logo.png \
    %{buildroot}/%{_datadir}/icons/hicolor/${s}x${s}/apps/osgGtk.png
  convert -scale ${s}x${s} \
    doc/images/osgGtk-logo.png \
    %{buildroot}/%{_datadir}/icons/hicolor/${s}x${s}/apps/osgGtkmm.png
done

# Desktop entry
desktop-file-install --dir %{buildroot}/%{_datadir}/applications osgviewerGtk.desktop
desktop-file-validate %{buildroot}/%{_datadir}/applications/osgviewerGtk.desktop
desktop-file-install --dir %{buildroot}/%{_datadir}/applications osgviewerGtkmm.desktop
desktop-file-validate %{buildroot}/%{_datadir}/applications/osgviewerGtkmm.desktop


%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post viewer
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun viewer
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%post -n osgGtkmm -p /sbin/ldconfig

%postun -n osgGtkmm -p /sbin/ldconfig

%post -n osgGtkmm-viewer
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun -n osgGtkmm-viewer
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(-,root,root,-)
%{_libdir}/libosgGtk.so.*
%doc AUTHORS README COPYING

%files devel
%defattr(-,root,root,-)
%{_libdir}/libosgGtk.so
%{_libdir}/pkgconfig/osgGtk-PKGCONFIG_VERSION.pc
%{_includedir}/osgGtk-PACKAGE_RELEASE/
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/osgGtk/

%files viewer
%defattr(-,root,root,-)
%{_bindir}/osgviewerGtk
%{_datadir}/applications/osgviewerGtk.desktop
%{_datadir}/icons/hicolor/*x*/apps/osgGtk.png
%doc AUTHORS README COPYING

%files -n osgGtkmm
%defattr(-,root,root,-)
%{_libdir}/libosgGtkmm.so.*
%doc AUTHORS README COPYING

%files -n osgGtkmm-devel
%defattr(-,root,root,-)
%{_libdir}/libosgGtkmm.so
%{_libdir}/pkgconfig/osgGtkmm-PKGCONFIG_VERSION.pc
%{_includedir}/osgGtkmm-PACKAGE_RELEASE/
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/osgGtkmm/

%files -n osgGtkmm-viewer
%defattr(-,root,root,-)
%{_bindir}/osgviewerGtkmm
%{_datadir}/applications/osgviewerGtkmm.desktop
%{_datadir}/icons/hicolor/*x*/apps/osgGtkmm.png
%doc AUTHORS README COPYING


%changelog
* Mon Mar 02 2009 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.1.4-1
- New release
- Changed Sourceforge url to downloads.sf.net from download.sf.net
- Added -p to doc installs
- Added gtk-doc dependency to -devel packages
- Changed RPM_BUILD_ROOT to buildroot
- Fixed Gtk+ icon cache scriptlets

* Tue Feb 24 2009 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.1.3-1
- Improved package summaries and descriptions
- Added hicolor-icon-theme to viewer requires
- Removed fedora vendor tag for desktop files
- Added desktop file validation on install
- Fixed license tag
- Parameterized prep directory
- Fixed unowned directories issue in devel files

* Wed Jun 18 2008 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.1.2-1
- Initial Release

